# Generated by Django 3.2 on 2022-12-08 17:13

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('administracao', '0002_cliente_vendedor'),
    ]

    operations = [
        migrations.CreateModel(
            name='ItemVenda',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('quantidade', models.PositiveIntegerField()),
                ('valor_comissao', models.FloatField(blank=True, null=True)),
                ('produto', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='administracao.produto')),
            ],
        ),
        migrations.CreateModel(
            name='Venda',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('numero_nota_fiscal', models.PositiveIntegerField()),
                ('data_hora', models.DateTimeField(auto_now=True)),
                ('cliente', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='administracao.cliente')),
                ('lista_produtos', models.ManyToManyField(to='administracao.ItemVenda')),
                ('vendedor', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='administracao.vendedor')),
            ],
        ),
    ]
